<?php

namespace App\Modules\LeadBooking\Application\List;

use App\Modules\Shared\Domain\Bus\Query\QueryHandler;

final class LeadBookingListerQueryHandler implements QueryHandler
{
    public function __construct(private LeadBookingLister $inserter)
    {
    }

    public function __invoke(LeadBookingListerQuery $query): LeadBookingListerResponse
    {
        return $this->inserter->__invoke($query->getAction());
    }
}
